Subject: Re: [mpls] MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 20 May 2013 17:34:07 +0100

Thanks Eric,

[Adding the MPLS list]

I just posted a revised I-D.

Adrian

> -----Original Message-----
> From: Eric Osborne (eosborne) [mailto:[email-masked]]
> Sent: 20 May 2013 17:11
> To: Loa Andersson; Lizhong Jin; Jia He; Gregory Mirsky; Martin Vigoureux
> Cc: [email-masked]; mpls-
> [email-masked]
> Subject: RE: MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv
> 
> I have completed my review of this draft.  I have no issues with it, only a
few nits
> that I only pick in order to demonstrate that I have in fact actually read the
> document.
> 
> - The first sentence in section 1 is kind of bumpy.  I suggest something along
the
> lines of
> 
> ---
> RFC4385 says that if the first nibble of a PW packet carried over an MPLS
network
> has a value of 1 then the packet starts with a specific header format called
the
> Pseudowire Associated Channel Header, known as the PWACH or more generally
> as the ACH.
> ---
> 
> At a minimum, "defines that is the first" and "header format call the" are
typos.
> 
> 
> - Section 1 goes on to say "There are no currently live Internet-Drafts that
utilize
> ACH TLVs".  Is this a sentence that should live in perpetuity when this draft
> becomes an RFC?
> 
> - The security section suggests that removing the ACH TLV has a 'marginal
positive
> effect', but this ignores the idea that one could have an authentication TLV
or
> some sort of encrypted message; removing this capability has as much of a
> theoretical marginally negative effect as removing a vector for buffer bloat
or
> bogus TLV values.
> 
> 
> 
> 
> 
> eric
> 
> 
> > -----Original Message-----
> > From: Loa Andersson [mailto:[email-masked]]
> > Sent: Wednesday, May 08, 2013 4:01 AM
> > To: Lizhong Jin; Jia He; Gregory Mirsky; Eric Osborne (eosborne); Martin
> > Vigoureux
> > Cc: [email-masked]; mpls-
> > [email-masked]
> > Subject: MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv
> >
> > Jia, Lizhong, Greg and Eric,
> >
> > You have been selected as an MPLS Review team reviewers for draft-
> > farbryantrel-mpls-retire-ach-tlv-00.
> >
> > Note to authors: You have been CC'd on this email so that you can know
> > that this review is going on. However, please do not review your own
> > document.
> >
> > Reviews should comment on whether the document is coherent, is it useful
> > (ie, is it likely to be actually useful in operational networks), and is
> > the document technically sound?  We are interested in knowing whether
> > the document is ready to be considered for WG adoption (ie, it doesn't
> > have to be perfect at this point, but should be a good start).
> >
> > Reviews should be sent to the document authors, WG co-chairs and WG
> > secretary, and CC'd to the MPLS WG email list. If necessary, comments
> > may be sent privately to only the WG chairs.
> >
> > Are you able to review this draft by Mat 24, 2013?
> >
> > Thanks, Loa
> > (as MPLS WG chair)
> > --
> >
> >
> > Loa Andersson                        email: [email-masked]
> > Senior MPLS Expert                          [email-masked]
> > Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 21 May 2013 22:56:21 +0000

Dear Authors, et al.,
firstly, I'll address format of MPLS-RT review as set by WG chairs:
*       The document is coherent, clearly useful and technically sound
   *    The document is ready to be adopted by MPLS WG

Now several comments and possible typo corrections:
*       Perhaps re-word "No Associated Channel Type yet defined uses a TLV" into "So far none of defined Associated Channel Types uses a TLV as specified by RFC 5586". That seems to be more accurate as MPLS-TP BFD Proactive CV message format uses Source MEP-ID TLV, though not according to RFC 5586, that might be viewed as example of ACH TLV.
   *    Introduction, first para, first sentense s/is/if/
   *    Introduction, fourth para, in "However, of the 18 ACH Channel Types currently defined none allows the use of ACH TLVs [IANA-ACH]" I'd consider s/allows/requires/ to stress that up to now we managed to develop protocol suite without use of  a single ACH TLV
   *    Introduction, last para "This document determines that ACH TLVs are not useful ..." might be re-worded to "This document states that ACH TLVs, as specified in RFC 5586, are not useful ..."
   *    Section 2, note that references to ACH TLVs exist in RFC 5586 outside of Section 3, e.g. Section 4.2.1.1, p.10, as well as in several figures, e.g. figure 6.
   *    Section 3, if motivation of this document is to negate MUST in Section 3 of RFC 5586 that ACH TLV Header preceeds G-ACh message, then would following sufficiently express it: "A G-ACh message MAY NOT be preceeded by an ACH TLV Header."
   *    Section 6, I think that we might only remove too restrictive requirement of RFC 5586 while allowing use of ACH TLV following G-ACh message.

        Regards,
                Greg

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]]
Sent: Wednesday, May 08, 2013 1:01 AM
To: Lizhong Jin; Jia He; Gregory Mirsky; Eric Osborne (eosborne); Martin Vigoureux
Cc: [email-masked]; [email-masked]
Subject: MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv

You have been selected as an MPLS Review team reviewers for draft-farbryantrel-mpls-retire-ach-tlv-00.

Note to authors: You have been CC'd on this email so that you can know that this review is going on. However, please do not review your own document.

Reviews should comment on whether the document is coherent, is it useful (ie, is it likely to be actually useful in operational networks), and is the document technically sound?  We are interested in knowing whether the document is ready to be considered for WG adoption (ie, it doesn't have to be perfect at this point, but should be a good start).

Reviews should be sent to the document authors, WG co-chairs and WG secretary, and CC'd to the MPLS WG email list. If necessary, comments may be sent privately to only the WG chairs.

Thanks, Loa
(as MPLS WG chair)
--

---

From: "Hejia (Jia)" <[email-masked]>
Date: Thu, 23 May 2013 11:51:56 +0000

Hi,

I noticed a 01 version of draft-farbryantrel-mpls-retire-ach-tlv is available. So I based my MPLS RT review on that version. I think the document is coherent, useful, technically sound and ready to be adopted as a WG draft. Just one comment:

1) In the Abstract part, it is written as

   No Associated Channel Type yet defined uses a TLV. Furthermore, it
   is believed that handling TLVs in hardware introduces significant
   problems to the fast-path, and since G-ACh messages are intended to
   be processed substantially in hardware, the use of TLVs in
   undesirable.

The whole paragraph seems talking generally about TLVs for G-ACh messages, not specifically an ACH TLV. This might not be so accurate since we have some G-ACh channel type using TLVs in its message, e.g. RFC 6428 defines a source MEP-ID TLV for the MPLS-TP CV type which also requires hardware processing. I think it might be better to simply say ACH TLV is not used and may cause additional processing which is not desirable. Or some better wording...

Thanks!

B.R.
Jia

-----邮件原件-----
发件人: Loa Andersson [mailto:[email-masked]] 
发送时间: 2013年5月8日 16:01
收件人: Lizhong Jin; Hejia (Jia); Gregory Mirsky; Eric Osborne (eosborne); Martin Vigoureux
抄送: [email-masked]; [email-masked]
主题: MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv

You have been selected as an MPLS Review team reviewers for
draft-farbryantrel-mpls-retire-ach-tlv-00.

Reviews should comment on whether the document is coherent, is it
useful (ie, is it likely to be actually useful in operational
networks), and is the document technically sound?  We are interested
in knowing whether the document is ready to be considered for WG
adoption (ie, it doesn't have to be perfect at this point, but should be
a good start).

Reviews should be sent to the document authors, WG co-chairs and
WG secretary, and CC'd to the MPLS WG email list. If necessary, comments
may be sent privately to only the WG chairs.

Thanks, Loa
(as MPLS WG chair)
--

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 23 May 2013 13:14:43 +0100

Thanks Jia,

Your point is well taken and the Abstract in the working copy (ready to post)
now reads...

   The MPLS Generic Associated Channel (G-ACh) is a generalization of
   the applicability of the Pseudowire (PW) Associated Channel Header
   (ACH).  RFC 5586 defines the concept of TLV constructs that can be
   carried in messages on the G-ACh by placing them in the ACH between
   the fixed header fields and the G-ACh message.  These TLVs are called
   ACH TLVs

   No Associated Channel Type yet defined uses an ACH TLV.  Furthermore,
   it is believed that handling TLVs in hardware introduces significant
   problems to the fast-path, and since G-ACh messages are intended to
   be processed substantially in hardware, the use of TLVs in
   undesirable.

   This document updates RFC 5586 by retiring ACH TLVs and removing the
   associated registry.

Cheers,
Adrian

> From: Hejia (Jia) [mailto:[email-masked]]
> Sent: 23 May 2013 12:52
> To: Loa Andersson; Martin Vigoureux; draft-farbryantrel-mpls-retire-ach-
> [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv
> 
> Hi,
> 
> I noticed a 01 version of draft-farbryantrel-mpls-retire-ach-tlv is available.
So I
> based my MPLS RT review on that version. I think the document is coherent,
> useful, technically sound and ready to be adopted as a WG draft. Just one
> comment:
> 
> The whole paragraph seems talking generally about TLVs for G-ACh messages,
> not specifically an ACH TLV. This might not be so accurate since we have some
G-
> ACh channel type using TLVs in its message, e.g. RFC 6428 defines a source
MEP-
> ID TLV for the MPLS-TP CV type which also requires hardware processing. I
think
> it might be better to simply say ACH TLV is not used and may cause additional
> processing which is not desirable. Or some better wording...
> 
> Thanks!
> 
> 
> B.R.
> Jia
> 
> 
> -----邮件原件-----
> 收件人: Lizhong Jin; Hejia (Jia); Gregory Mirsky; Eric Osborne (eosborne);
Martin

---

From: "Hejia (Jia)" <[email-masked]>
Date: Fri, 24 May 2013 10:57:24 +0000

Adrian,

Thanks for your prompt response. You are so quick. I noticed you have already uploaded another WG version when I got time to read emails today:-) 
If possible, I guess the last sentence of the second paragraph can be more precise by adding "ACH" before "TLVs" which reads

" the use of ACH TLVs is undesirable."  (typo: s/in/is)

This will help to remove the impact to other TLVs used in G-ACh messages but not in the ACH.

Thanks! 

B.R.
Jia

-----邮件原件-----
发件人: Adrian Farrel [mailto:[email-masked]] 
发送时间: 2013年5月23日 20:15
收件人: Hejia (Jia); 'Loa Andersson'; 'Martin Vigoureux'; [email-masked]; [email-masked]
抄送: [email-masked]
主题: RE: MPLS-RT review of draft-farbryantrel-mpls-retire-ach-tlv

Thanks Jia,

Cheers,
Adrian

So I
G-
MEP-
think
Martin

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 24 May 2013 13:47:22 +0100

Got it, thanks.
Stored for next revision.
A

> Sent: 24 May 2013 11:57
> To: [email-masked]; 'Loa Andersson'; 'Martin Vigoureux';
draft-farbryantrel-
> [email-masked]; [email-masked]
> Cc: [email-masked]
> Thanks for your prompt response. You are so quick. I noticed you have already
> uploaded another WG version when I got time to read emails today:-)
> If possible, I guess the last sentence of the second paragraph can be more
> precise by adding "ACH" before "TLVs" which reads
> 
> 收件人: Hejia (Jia); 'Loa Andersson'; 'Martin Vigoureux';
draft-farbryantrel-mpls-
> [email-masked]; [email-masked]
> 抄送: [email-masked]